From 4f151195c1e03920a0e9327677e964708ad07ab6 Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Tue, 1 Nov 2016 10:26:39 -0500
Subject: [PATCH 05/25] _common_ Add curl to support curlhttpsink

---
 recipes/curl.recipe | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100644 recipes/curl.recipe

diff --git a/recipes/curl.recipe b/recipes/curl.recipe
new file mode 100644
index 0000000..ececbc3
--- /dev/null
+++ b/recipes/curl.recipe
@@ -0,0 +1,23 @@
+# -*- Mode: Python -*- vi:si:et:sw=4:sts=4:ts=4:syntax=python
+import shutil
+
+class Recipe(recipe.Recipe):
+    name = 'curl'
+    version = '7.56.1'
+    licenses = [License.BSD_like]
+    stype = SourceType.TARBALL
+    url = 'https://curl.haxx.se/download/curl-{0}.tar.gz'.format(version)
+    deps = ['openssl']
+    configure_options = '--enable-http --enable-shared --disable-ftp \
+                      --enable-file --disable-ldap --disable-ldaps \
+                      --disable-rtsp --disable-proxy --disable-dict \
+                      --disable-telnet --disable-tftp --disable-pop3 \
+                      --disable-imap --disable-smtp --disable-gopher \
+                      --without-librtmp --without-libidn --without-zlib \
+                      --enable-threaded-resolver --disable-manual \
+                      --disable-smb'
+    configure_tpl = "%(config-sh)s --prefix=%(prefix)s --libdir=%(libdir)s --with-ssl=%(prefix)s " + configure_options
+
+    files_libs = ['libcurl']
+    files_bins = ['curl', 'curl-config']
+    files_devel = ['lib/pkgconfig/libcurl.pc', 'include/curl']
-- 
2.15.0

